Package weka.core.pmml.jaxbbindings

# Class BaseCumHazardTables

java.lang.Object
weka.core.pmml.jaxbbindings.BaseCumHazardTables

public class BaseCumHazardTables extends Object

Java class for BaseCumHazardTables element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="BaseCumHazardTables">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <choice>
                 <element ref="{http://www.dmg.org/PMML-4_1}BaselineStratum" maxOccurs="unbounded"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}BaselineCell" maxOccurs="unbounded"/>
               </choice>
             </sequence>
             <attribute name="maxTime" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseCumHazardTables()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BaselineCell>`
  `getBaselineCell()`
  Gets the value of the baselineCell property.
  `List<BaselineStratum>`
  `getBaselineStratum()`
  Gets the value of the baselineStratum property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `Double`
  `getMaxTime()`
  Gets the value of the maxTime property.
  `void`
  `setMaxTime(Double value)`
  Sets the value of the maxTime property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseCumHazardTables

    public BaseCumHazardTables()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getBaselineStratum

    public List<BaselineStratum> getBaselineStratum()
    Gets the value of the baselineStratum property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the baselineStratum property.

    For example, to add a new item, do as follows:

            getBaselineStratum().add(newItem);

    Objects of the following type(s) are allowed in the list `BaselineStratum`

  - ### getBaselineCell

    public List<BaselineCell> getBaselineCell()
    Gets the value of the baselineCell property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the baselineCell property.

    For example, to add a new item, do as follows:

            getBaselineCell().add(newItem);

    Objects of the following type(s) are allowed in the list `BaselineCell`

  - ### getMaxTime

    public Double getMaxTime()
    Gets the value of the maxTime property.
    Returns:
      possible object is `Double`

  - ### setMaxTime

    public void setMaxTime(Double value)
    Sets the value of the maxTime property.
    Parameters:
      `value` - allowed object is `Double`